<?php

namespace common\logic\Document\Invoice;

use common\logic\ContainerInterface;
use common\logic\Document\Document\DocumentBuilder;
use common\logic\Document\Document\DocumentSolver;

class InvoiceContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Invoice::class;
    }

    public function getServices(): array
    {
        return [
            InvoiceFactory::class,
        ];
    }

    public function getFactory(): InvoiceFactory
    {
        return new InvoiceFactory();
    }

    public function getSolver(): DocumentSolver
    {
        return new DocumentSolver();
    }

    public function getBuilder(): DocumentBuilder
    {
        return new DocumentBuilder();
    }
}