<?php

namespace common\logic\Document\Invoice;

use common\logic\ContainerInterface;
use common\logic\Document\Document\DocumentBuilder;
use common\logic\Document\Document\DocumentSolver;
use common\logic\Document\Quotation\QuotationFactory;
use common\logic\Document\Quotation\Quotation;

class QuotationContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Quotation::class;
    }

    public function getServices(): array
    {
        return [
            QuotationFactory::class,
        ];
    }

    public function getFactory(): QuotationFactory
    {
        return new QuotationFactory();
    }

    public function getSolver(): DocumentSolver
    {
        return new DocumentSolver();
    }

    public function getBuilder(): DocumentBuilder
    {
        return new DocumentBuilder();
    }
}