<?php

namespace common\logic\Order\ProductOrder;

use common\logic\ContainerInterface;

class ProductOrderContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductOrder::class;
    }

    public function getServices(): array
    {
        return [
            ProductOrderFactory::class,
            ProductOrderSolver::class,
        ];
    }

    public function getFactory(): ProductOrderFactory
    {
        return new ProductOrderFactory();
    }

    public function getSolver(): ProductOrderSolver
    {
        return new ProductOrderSolver();
    }
}