<?php

namespace common\logic\Product\ProductCategory;

use common\logic\ContainerInterface;

class ProductCategoryContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return ProductCategory::class;
    }

    public function getServices(): array
    {
        return [
            ProductCategoryFactory::class,
            ProductCategoryRepository::class
        ];
    }

    public function getFactory(): ProductCategoryFactory
    {
        return new ProductCategoryFactory();
    }

    public function getRepository(): ProductCategoryRepository
    {
        return new ProductCategoryRepository();
    }
}