<?php

namespace common\logic\Subscription\Subscription;

use common\logic\ContainerInterface;

class SubscriptionContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return Subscription::class;
    }

    public function getServices(): array
    {
        return [
            SubscriptionFactory::class,
            SubscriptionSolver::class,
            SubscriptionRepository::class,
            SubscriptionBuilder::class
        ];
    }

    public function getFactory(): SubscriptionFactory
    {
        return new SubscriptionFactory();
    }

    public function getSolver(): SubscriptionSolver
    {
        return new SubscriptionSolver();
    }

    public function getRepository(): SubscriptionRepository
    {
        return new SubscriptionRepository();
    }

    public function getBuilder(): SubscriptionBuilder
    {
        return new SubscriptionBuilder();
    }
}