<?php

namespace common\logic\User\UserGroup;

use common\logic\ContainerInterface;

class UserGroupContainer implements ContainerInterface
{
    public function getEntityFqcn(): string
    {
        return UserGroup::class;
    }

    public function getServices(): array
    {
        return [
            UserGroupFactory::class,
            UserGroupRepository::class
        ];
    }

    public function getFactory(): UserGroupFactory
    {
        return new UserGroupFactory();
    }

    public function getRepository(): UserGroupRepository
    {
        return new UserGroupRepository();
    }
}